Package com.independentsoft.office.spreadsheet

# Class FileSharing

java.lang.Object
com.independentsoft.office.spreadsheet.FileSharing

public class FileSharing extends Object
The Class FileSharing.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FileSharing()`
  Instantiates a new file sharing.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `FileSharing`
  `clone()`
  `String`
  `getPassword()`
  Gets the password.
  `String`
  `getUsername()`
  Gets the username.
  `boolean`
  `isReadOnlyRecommended()`
  Checks if is read only recommended.
  `void`
  `setPassword​(String password)`
  Sets the password.
  `void`
  `setReadOnlyRecommended​(boolean readOnlyRecommended)`
  Sets the read only recommended.
  `void`
  `setUsername​(String username)`
  Sets the username.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### FileSharing

    public FileSharing()
    Instantiates a new file sharing.

- ## Method Details

  - ### clone

    public FileSharing clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### isReadOnlyRecommended

    public boolean isReadOnlyRecommended()
    Checks if is read only recommended.
    Returns:
      true, if is read only recommended

  - ### setReadOnlyRecommended

    public void setReadOnlyRecommended​(boolean readOnlyRecommended)
    Sets the read only recommended.
    Parameters:
      `readOnlyRecommended` - the new read only recommended

  - ### getPassword

    public String getPassword()
    Gets the password.
    Returns:
      the password

  - ### setPassword

    public void setPassword​(String password)
    Sets the password.
    Parameters:
      `password` - the new password

  - ### getUsername

    public String getUsername()
    Gets the username.
    Returns:
      the username

  - ### setUsername

    public void setUsername​(String username)
    Sets the username.
    Parameters:
      `username` - the new username